#include <bits/stdc++.h>

using namespace std;

int main()
{
    string T,S,resenje;
    cin>>T>>S;
    int s1,s2,br,mini;
    s1=T.size();
    s2=S.size();
    mini=s1;
    for(int i=0; i<s2; i++)
    {
        br=0;
        for(int j=0; j<s1; j++)
        {
            if(T[j]==S[i])
            {
                br++;
            }

        }
        if(br<mini)
        {
            mini=br;
            resenje=S[i];
        }

    }
    if(mini==s1)
    {
        int br=0;
        while(s1>s2 || s1==s2)
        {
            T[br]='*';
            br++;
            s1--;
        }
        cout<<br<<endl;;
        cout<<T;
        return 0;
    }
    for(int i=0; i<s1; i++)
    {
        if(T[i]==resenje[0])
        {
            T[i]='*';
        }
    }
    cout<<mini<<endl;
    cout<<T;
}